# Part 1 — Modal window \[What is it?]

The modal window in Supervisely appears after clicking on the launch button of the application. It can be used for at least two things:

1. to inform the user
2. to enter arguments

### Table of Contents

1. [HTML file](#step-1-html-file)
2. [Results](#step-2-results)

### Step 1 — HTML file

We use HTML to create the UI.

![memo](https://github.githubassets.com/images/icons/emoji/unicode/1f4dd.png) **you can preview your HTML in** [**our Application Designer**](https://app.supervisely.com/apps/designer)

Here's our modal window:

**src/modal.html**

```html
<div>
    <h3>This is my first modal window app.</h3>
</div>
```

Simple. Isn't?\
Now let's add it to our config file:

**config.json**

```json
{
  "name": "Modal Window",
  "type": "app",
  "categories": [
    "quickstart"
  ],
  "description": "There will be some description",
  "docker_image": "supervisely/base-py-sdk:6.1.93",
  "main_script": "chapter-02-headless/part-01-modal-window/src/main.py",
  "modal_template": "chapter-02-headless/part-01-modal-window/src/modal.html",
  "task_location": "workspace_tasks",
  "icon": "https://img.icons8.com/color/100/000000/1.png",
  "icon_background": "#FFFFFF"
}
```

### Step 2 — Results

{% embed url="<https://www.youtube.com/watch?v=yHV4pUhO1DQ>" %}
Modal Window
{% endembed %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.supervisely.com/app-development/advanced/in-depth-app-development/chapter-2-modal-window/part-1-modal-window-what-is-it.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
